Package Gnumed :: Package business :: Module gmProviderInbox |
[frames] | no frames]

# Module gmProviderInbox

source code

GNUmed provider inbox middleware.

This should eventually end up in a class cPractice.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cInboxMessage
| cProviderInbox
| cDynamicHint Represents dynamic hints to be run against the database.

Functions
get_reminders(pk_patient=None, order_by=None) | source code
get_overdue_messages(pk_patient=None, order_by=None) | source code
get_inbox_messages(pk_staff=None, pk_patient=None, include_without_provider=False, exclude_expired=False, expired_only=False, overdue_only=False, unscheduled_only=False, exclude_unscheduled=False, order_by=None) | source code
create_inbox_message(message_type=None, subject=None, patient=None, staff=None) | source code
delete_inbox_message(inbox_message=None) | source code
create_inbox_item_type(message_type=None, category=`u'``clinical``'`) | source code
get_dynamic_hints(order_by=None) | source code
get_hints_for_patient(pk_identity=None) | source code

Variables
| __package__ = ``'``Gnumed.business``'``

Imports: sys, gmPG2, gmBusinessDBObject, gmTools, gmDateTime, gmStaff